import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare class GcCalendarComponent extends GcComponents<GC.InputMan.GcCalendar> implements ControlValueAccessor {
    constructor(ref: ElementRef);
    private onChange;
    private onTouched;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    setDisabledState(isDisabled: boolean): void;
    protected initGcComponent(): void;
    visible: boolean;
    maxSelectionCount: number;
    selectionMode: GC.InputMan.CalendarSelectionMode;
    selectedDate: Date | null;
    enabled: boolean;
    weekTitleSelect: boolean;
    weekNumberSelect: boolean;
    focusDate: Date | null;
    maxDate: Date | null;
    minDate: Date | null;
    allowSelection: GC.InputMan.AllowSelection;
    emptyRows: GC.InputMan.EmptyRows;
    firstDayOfWeek: GC.InputMan.DayOfWeek;
    firstFiscalMonth: GC.InputMan.Months;
    firstMonthInView: GC.InputMan.Months;
    yearMonthFormat: string;
    headerFormat: string;
    showZoomButton: boolean;
    showRokuyou: GC.InputMan.Rokuyou;
    showHeader: boolean;
    showToday: boolean;
    showWeekNumber: boolean;
    showTrailing: boolean;
    calendarYear: GC.InputMan.CalendarYear;
    showNavigator: GC.InputMan.CalendarNavigators;
    navigatorOrientation: string;
    overrideTipText: string;
    calendarType: GC.InputMan.CalendarType;
    calendarDimensions: Array<number>;
    scrollRate: number;
    onClickDate: EventEmitter<object>;
    onScrolled: EventEmitter<object>;
    onFocusDateChanged: EventEmitter<object>;
    onSelectedDateChanged: EventEmitter<object>;
    focusDateChange: EventEmitter<Date>;
    selectedDateChange: EventEmitter<Date>;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcCalendarComponent, "gc-calendar", never, { "visible": "visible"; "maxSelectionCount": "maxSelectionCount"; "selectionMode": "selectionMode"; "selectedDate": "selectedDate"; "enabled": "enabled"; "weekTitleSelect": "weekTitleSelect"; "weekNumberSelect": "weekNumberSelect"; "focusDate": "focusDate"; "maxDate": "maxDate"; "minDate": "minDate"; "allowSelection": "allowSelection"; "emptyRows": "emptyRows"; "firstDayOfWeek": "firstDayOfWeek"; "firstFiscalMonth": "firstFiscalMonth"; "firstMonthInView": "firstMonthInView"; "yearMonthFormat": "yearMonthFormat"; "headerFormat": "headerFormat"; "showZoomButton": "showZoomButton"; "showRokuyou": "showRokuyou"; "showHeader": "showHeader"; "showToday": "showToday"; "showWeekNumber": "showWeekNumber"; "showTrailing": "showTrailing"; "calendarYear": "calendarYear"; "showNavigator": "showNavigator"; "navigatorOrientation": "navigatorOrientation"; "overrideTipText": "overrideTipText"; "calendarType": "calendarType"; "calendarDimensions": "calendarDimensions"; "scrollRate": "scrollRate"; }, { "onClickDate": "onClickDate"; "onScrolled": "onScrolled"; "onFocusDateChanged": "onFocusDateChanged"; "onSelectedDateChanged": "onSelectedDateChanged"; "focusDateChange": "focusDateChange"; "selectedDateChange": "selectedDateChange"; }, never, never>;
}
