import { ElementRef, QueryList, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
declare type ComboBoxValuesType = number[] | string[] | boolean[] | object[];
declare type ComboBoxItemType = string | object;
declare type ComboBoxItemsType = string[] | object[];
export declare class GcComboBoxColumnComponent {
    name: string;
    label: string;
    width: number | string;
    isValuePath: boolean;
    visible: boolean;
    clickSort: boolean;
    contentAlignment: GC.InputMan.Alignment;
    headerAlignment: GC.InputMan.Alignment;
    showTip: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcComboBoxColumnComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcComboBoxColumnComponent, "gc-combo-box-column", never, { "name": "name"; "label": "label"; "width": "width"; "isValuePath": "isValuePath"; "visible": "visible"; "clickSort": "clickSort"; "contentAlignment": "contentAlignment"; "headerAlignment": "headerAlignment"; "showTip": "showTip"; }, {}, never, never>;
}
export declare class GcComboBoxComponent extends GcComponents<GC.InputMan.GcComboBox> implements ControlValueAccessor {
    constructor(ref: ElementRef);
    private text;
    private onChange;
    private onTouched;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    setDisabledState(isDisabled: boolean): void;
    items: ComboBoxValuesType;
    selectedValue: number | string | boolean | object;
    allowDropDownResize: boolean;
    readOnly: boolean;
    autoSelect: boolean;
    selectedIndex: number;
    autoFilter: string;
    visible: boolean;
    enabled: boolean;
    showTip: boolean;
    isEditable: boolean;
    watermarkDisplayNullText: string;
    watermarkNullText: string;
    highlightText: boolean;
    exitOnEnterKey: string;
    useClipboard: boolean;
    acceptsCrlf: string;
    ellipsis: string;
    ellipsisString: string;
    exitOnLeftRightKey: string;
    tabIndex: number;
    showHelpButton: boolean;
    autoCompleteMode: GC.InputMan.AutoCompleteMode;
    autoCompleteMatchMode: GC.InputMan.AutoCompleteMatchMode;
    showCopyButton: boolean;
    helpContent: string;
    copyMessage: string;
    copiedMessage: string;
    editMode: string;
    checkedValues: ComboBoxValuesType;
    selectedItem: ComboBoxItemType;
    checkedItems: ComboBoxItemsType;
    checkedIndices: number[];
    showDropDownButton: boolean;
    dropDownButtonPosition: string;
    showSpinButton: boolean;
    spinButtonPosition: string;
    dropDownWidth: number | 'auto';
    dropDownHeight: number;
    minPrefixLength: number;
    isMultiSelect: boolean;
    dropDownOverflow: string;
    visibleItems: number;
    itemHeight: number;
    columns: GC.InputMan.ColumnConfig[];
    showHeader: boolean;
    valueMemberPath: string;
    displayMemberPath: string;
    checkOnClick: boolean;
    itemTemplate: string | string[];
    headerTemplate: string;
    footerTemplate: string;
    spinWheel: boolean;
    emptyTemplate: string;
    load: Function;
    pageSize: number;
    virtualMode: boolean;
    generatingItem: (args: GC.InputMan.IItemGeneratingArgs) => void;
    selectTemplate: (args: GC.InputMan.ITemplateSelectArgs) => string;
    formatItem: (args: GC.InputMan.IItemArgs) => void;
    allowColumnResize: boolean;
    colHeaderHeight: number;
    container: HTMLElement;
    autoDropDown: boolean;
    dropDownButtonVisible: boolean;
    showClearButton: boolean;
    autoScale: boolean;
    minScaleFactor: number;
    multipleItemSeparator: string;
    selectedChanged: EventEmitter<object>;
    checkedChanged: EventEmitter<object>;
    dropDownClosed: EventEmitter<object>;
    dropDownOpened: EventEmitter<object>;
    textChanged: EventEmitter<object>;
    spinDown: EventEmitter<object>;
    spinUp: EventEmitter<object>;
    itemsChanged: EventEmitter<object>;
    itemsChange: EventEmitter<ComboBoxValuesType>;
    selectedValueChange: EventEmitter<object | string | number | boolean>;
    selectedIndexChange: EventEmitter<number>;
    checkedValuesChange: EventEmitter<ComboBoxValuesType>;
    selectedItemChange: EventEmitter<object | string>;
    checkedItemsChange: EventEmitter<ComboBoxItemsType>;
    checkedIndicesChange: EventEmitter<number[]>;
    columnComponents: QueryList<GcComboBoxColumnComponent>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcComboBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcComboBoxComponent, "gc-combo-box", never, { "items": "items"; "selectedValue": "selectedValue"; "allowDropDownResize": "allowDropDownResize"; "readOnly": "readOnly"; "autoSelect": "autoSelect"; "selectedIndex": "selectedIndex"; "autoFilter": "autoFilter"; "visible": "visible"; "enabled": "enabled"; "showTip": "showTip"; "isEditable": "isEditable"; "watermarkDisplayNullText": "watermarkDisplayNullText"; "watermarkNullText": "watermarkNullText"; "highlightText": "highlightText"; "exitOnEnterKey": "exitOnEnterKey"; "useClipboard": "useClipboard"; "acceptsCrlf": "acceptsCrlf"; "ellipsis": "ellipsis"; "ellipsisString": "ellipsisString"; "exitOnLeftRightKey": "exitOnLeftRightKey"; "tabIndex": "tabIndex"; "showHelpButton": "showHelpButton"; "autoCompleteMode": "autoCompleteMode"; "autoCompleteMatchMode": "autoCompleteMatchMode"; "showCopyButton": "showCopyButton"; "helpContent": "helpContent"; "copyMessage": "copyMessage"; "copiedMessage": "copiedMessage"; "editMode": "editMode"; "checkedValues": "checkedValues"; "selectedItem": "selectedItem"; "checkedItems": "checkedItems"; "checkedIndices": "checkedIndices"; "showDropDownButton": "showDropDownButton"; "dropDownButtonPosition": "dropDownButtonPosition"; "showSpinButton": "showSpinButton"; "spinButtonPosition": "spinButtonPosition"; "dropDownWidth": "dropDownWidth"; "dropDownHeight": "dropDownHeight"; "minPrefixLength": "minPrefixLength"; "isMultiSelect": "isMultiSelect"; "dropDownOverflow": "dropDownOverflow"; "visibleItems": "visibleItems"; "itemHeight": "itemHeight"; "columns": "columns"; "showHeader": "showHeader"; "valueMemberPath": "valueMemberPath"; "displayMemberPath": "displayMemberPath"; "checkOnClick": "checkOnClick"; "itemTemplate": "itemTemplate"; "headerTemplate": "headerTemplate"; "footerTemplate": "footerTemplate"; "spinWheel": "spinWheel"; "emptyTemplate": "emptyTemplate"; "load": "load"; "pageSize": "pageSize"; "virtualMode": "virtualMode"; "generatingItem": "generatingItem"; "selectTemplate": "selectTemplate"; "formatItem": "formatItem"; "allowColumnResize": "allowColumnResize"; "colHeaderHeight": "colHeaderHeight"; "container": "container"; "autoDropDown": "autoDropDown"; "dropDownButtonVisible": "dropDownButtonVisible"; "showClearButton": "showClearButton"; "autoScale": "autoScale"; "minScaleFactor": "minScaleFactor"; "multipleItemSeparator": "multipleItemSeparator"; }, { "selectedChanged": "selectedChanged"; "checkedChanged": "checkedChanged"; "dropDownClosed": "dropDownClosed"; "dropDownOpened": "dropDownOpened"; "textChanged": "textChanged"; "spinDown": "spinDown"; "spinUp": "spinUp"; "itemsChanged": "itemsChanged"; "itemsChange": "itemsChange"; "selectedValueChange": "selectedValueChange"; "selectedIndexChange": "selectedIndexChange"; "checkedValuesChange": "checkedValuesChange"; "selectedItemChange": "selectedItemChange"; "checkedItemsChange": "checkedItemsChange"; "checkedIndicesChange": "checkedIndicesChange"; }, ["columnComponents"], never>;
}
export {};
