import { EventEmitter, ElementRef } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcComponents } from './GcComponents';
import * as i0 from "@angular/core";
export declare abstract class GcInputManBaseComponent<T extends GC.InputMan.GcInputManBase> extends GcComponents<T> {
    visible: boolean;
    enabled: boolean;
    readOnly: boolean;
    exitOnLeftRightKey: GC.InputMan.ExitOnLeftRightKey;
    editMode: GC.InputMan.EditMode;
    watermarkDisplayNullText: string | null;
    watermarkNullText: string | null;
    acceptsCrlf: GC.InputMan.CrLfMode;
    useClipboard: boolean;
    exitOnEnterKey: GC.InputMan.ExitKey;
    container: HTMLElement;
    autoDropDown: boolean;
    dropDownButtonVisible: boolean;
    autoScale: boolean;
    minScaleFactor: number;
    tabIndex: number;
    showHelpButton: boolean;
    showCopyButton: boolean;
    helpContent: string;
    copyMessage: string;
    copiedMessage: string;
    onEditStatusChanged: EventEmitter<object>;
    onInvalidInput: EventEmitter<object>;
    onKeyExit: EventEmitter<object>;
    onTextChanged: EventEmitter<object>;
    onInput: EventEmitter<object>;
    onFocusOut: EventEmitter<object>;
    onKeyDown: EventEmitter<object>;
    onKeyUp: EventEmitter<object>;
    onSyncValueToOriginalInput: EventEmitter<object>;
    textChange: EventEmitter<string>;
    constructor(ref: ElementRef);
    protected bindEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcInputManBaseComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcInputManBaseComponent<any>, "ng-component", never, { "visible": "visible"; "enabled": "enabled"; "readOnly": "readOnly"; "exitOnLeftRightKey": "exitOnLeftRightKey"; "editMode": "editMode"; "watermarkDisplayNullText": "watermarkDisplayNullText"; "watermarkNullText": "watermarkNullText"; "acceptsCrlf": "acceptsCrlf"; "useClipboard": "useClipboard"; "exitOnEnterKey": "exitOnEnterKey"; "container": "container"; "autoDropDown": "autoDropDown"; "dropDownButtonVisible": "dropDownButtonVisible"; "autoScale": "autoScale"; "minScaleFactor": "minScaleFactor"; "tabIndex": "tabIndex"; "showHelpButton": "showHelpButton"; "showCopyButton": "showCopyButton"; "helpContent": "helpContent"; "copyMessage": "copyMessage"; "copiedMessage": "copiedMessage"; }, { "onEditStatusChanged": "onEditStatusChanged"; "onInvalidInput": "onInvalidInput"; "onKeyExit": "onKeyExit"; "onTextChanged": "onTextChanged"; "onInput": "onInput"; "onFocusOut": "onFocusOut"; "onKeyDown": "onKeyDown"; "onKeyUp": "onKeyUp"; "onSyncValueToOriginalInput": "onSyncValueToOriginalInput"; "textChange": "textChange"; }, never, never>;
}
