import { ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as GC from '@grapecity/inputman';
import { GcInputManBaseComponent } from './GcInputManBase';
import * as i0 from "@angular/core";
export declare class GcNumberComponent extends GcInputManBaseComponent<GC.InputMan.GcNumber> implements ControlValueAccessor {
    constructor(ref: ElementRef);
    private onChange;
    private onTouched;
    writeValue(value: number): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    setDisabledState(isDisabled: boolean): void;
    value: number | string | null;
    text: string | null;
    watermarkZeroText: string | null;
    formatDigit: string | null;
    displayPositivePrefix: string | null;
    displayFormatDigit: string | null;
    maxValue: number | string | null;
    minValue: number | string | null;
    positivePrefix: string | null;
    positiveSuffix: string | null;
    displayPositiveSuffix: string | null;
    negativePrefix: string | null;
    displayNegativePrefix: string | null;
    negativeSuffix: string | null;
    displayNegativeSuffix: string | null;
    valueSign: GC.InputMan.ValueSign;
    adjustValueOnFocus: boolean;
    allowDeleteToNull: boolean;
    clearAction: GC.InputMan.ClearModeAction;
    acceptsDecimal: GC.InputMan.DecimalMode;
    currencySymbol: string | null;
    decimalPoint: string | null;
    maxMinBehavior: GC.InputMan.MaxMinBehavior;
    separator: string | null;
    watermarkDisplayZeroText: string | null;
    highlightText: boolean;
    allowSpin: boolean;
    spinWheel: boolean;
    spinOnKeys: boolean;
    spinWrap: boolean;
    showSpinButton: boolean;
    spinButtonPosition: GC.InputMan.SpinButtonAlignment;
    showNumericPad: boolean;
    numericPadPosition: GC.InputMan.DropDownButtonAlignment;
    showCalculatorAsDropDown: boolean;
    showCalculatorAsPopup: boolean;
    calculatorButtonPosition: GC.InputMan.DropDownButtonAlignment | null;
    dropDownConfig: GC.InputMan.GcCalculatorConfig | null;
    showClearButton: boolean;
    onSpinDown: EventEmitter<object>;
    onSpinUp: EventEmitter<object>;
    onInvalidRange: EventEmitter<object>;
    onValueChanged: EventEmitter<object>;
    valueChange: EventEmitter<number>;
    protected initGcComponent(): void;
    protected bindEvent(): void;
    clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GcNumberComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GcNumberComponent, "gc-number", never, { "value": "value"; "text": "text"; "watermarkZeroText": "watermarkZeroText"; "formatDigit": "formatDigit"; "displayPositivePrefix": "displayPositivePrefix"; "displayFormatDigit": "displayFormatDigit"; "maxValue": "maxValue"; "minValue": "minValue"; "positivePrefix": "positivePrefix"; "positiveSuffix": "positiveSuffix"; "displayPositiveSuffix": "displayPositiveSuffix"; "negativePrefix": "negativePrefix"; "displayNegativePrefix": "displayNegativePrefix"; "negativeSuffix": "negativeSuffix"; "displayNegativeSuffix": "displayNegativeSuffix"; "valueSign": "valueSign"; "adjustValueOnFocus": "adjustValueOnFocus"; "allowDeleteToNull": "allowDeleteToNull"; "clearAction": "clearAction"; "acceptsDecimal": "acceptsDecimal"; "currencySymbol": "currencySymbol"; "decimalPoint": "decimalPoint"; "maxMinBehavior": "maxMinBehavior"; "separator": "separator"; "watermarkDisplayZeroText": "watermarkDisplayZeroText"; "highlightText": "highlightText"; "allowSpin": "allowSpin"; "spinWheel": "spinWheel"; "spinOnKeys": "spinOnKeys"; "spinWrap": "spinWrap"; "showSpinButton": "showSpinButton"; "spinButtonPosition": "spinButtonPosition"; "showNumericPad": "showNumericPad"; "numericPadPosition": "numericPadPosition"; "showCalculatorAsDropDown": "showCalculatorAsDropDown"; "showCalculatorAsPopup": "showCalculatorAsPopup"; "calculatorButtonPosition": "calculatorButtonPosition"; "dropDownConfig": "dropDownConfig"; "showClearButton": "showClearButton"; }, { "onSpinDown": "onSpinDown"; "onSpinUp": "onSpinUp"; "onInvalidRange": "onInvalidRange"; "onValueChanged": "onValueChanged"; "valueChange": "valueChange"; }, never, never>;
}
